#include <iostream>
int Mnozi(int nesto, int* konst);
int main()
{
	int p, q, r, R, L;
	scanf("%d %d %d %d %d", &p, &q, &r, &L, &R);

	int konst[5] = { p,q,r,L,R };
	int brojac = 0;
	brojac += Mnozi(p * q,konst);
	brojac += Mnozi(q * r,konst);
	brojac += Mnozi(r * p,konst);
	printf("%d", brojac);


}

int Mnozi(int nesto,int* konst) {
	
	if (nesto>konst[4] )
		return 0;
	int rez = 0;
	if (nesto < konst[3])
		rez = 0;
	else  
		rez = 1;
	rez += Mnozi(nesto * konst[0],konst );
	rez += Mnozi(nesto * konst[1],konst );
	rez += Mnozi(nesto * konst[2], konst);
	return rez;
}